## org.eclipse.emf.mapping.ecore2xml
Interface Ecore2XMLPackage.Literals

Enclosing interface:
  Ecore2XMLPackage

    public static interface Ecore2XMLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY` The meta object literal for the '`ENamed Element To XML Info Map Entry`' class
`static EReference` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY` The meta object literal for the 'Key' reference feature
`static EReference` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `XML_INFO` The meta object literal for the '`XML Info`' class
`static EAttribute` `XML_INFO__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `XML_INFO__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature
`static EAttribute` `XML_INFO__XML_REPRESENTATION` The meta object literal for the 'XML Representation' attribute feature
`static EClass` `XML_MAP` The meta object literal for the '`XML Map`' class
`static EReference` `XML_MAP__ECORE_TO_XML_INFO` The meta object literal for the 'Ecore To XML Info' map feature
`static EAttribute` `XML_MAP__ID_ATTRIBUTE_NAME` The meta object literal for the 'ID Attribute Name' attribute feature
`static EReference` `XML_MAP__NO_NAMESPACE_PACKAGE` The meta object literal for the 'No Namespace Package' reference feature

Field Detail

### XML_INFO

    static final EClass XML_INFO

  The meta object literal for the '`XML Info`' class.

  See Also:
    `XMLInfoImpl`, `Ecore2XMLPackageImpl.getXMLInfo()`

### XML_INFO__NAME

    static final EAttribute XML_INFO__NAME

  The meta object literal for the 'Name' attribute feature.

### XML_INFO__TARGET_NAMESPACE

    static final EAttribute XML_INFO__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### XML_INFO__XML_REPRESENTATION

    static final EAttribute XML_INFO__XML_REPRESENTATION

  The meta object literal for the 'XML Representation' attribute feature.

### XML_MAP

    static final EClass XML_MAP

  The meta object literal for the '`XML Map`' class.

  See Also:
    `XMLMapImpl`, `Ecore2XMLPackageImpl.getXMLMap()`

### XML_MAP__ID_ATTRIBUTE_NAME

    static final EAttribute XML_MAP__ID_ATTRIBUTE_NAME

  The meta object literal for the 'ID Attribute Name' attribute feature.

### XML_MAP__ECORE_TO_XML_INFO

    static final EReference XML_MAP__ECORE_TO_XML_INFO

  The meta object literal for the 'Ecore To XML Info' map feature.

### XML_MAP__NO_NAMESPACE_PACKAGE

    static final EReference XML_MAP__NO_NAMESPACE_PACKAGE

  The meta object literal for the 'No Namespace Package' reference feature.

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY

    static final EClass ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY

  The meta object literal for the '`ENamed Element To XML Info Map Entry`' class.

  See Also:
    `ENamedElementToXMLInfoMapEntryImpl`, `Ecore2XMLPackageImpl.getENamedElementToXMLInfoMapEntry()`

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY

    static final EReference ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY

  The meta object literal for the 'Key' reference feature.

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE

    static final EReference ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE

  The meta object literal for the 'Value' containment reference feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.